#include "stdio.h"

unsigned char m[16384];

void
main (void)
{
  FILE *f;
  unsigned short int v[4], i, j;

  static const char inputFile[] = "j1.bin";

  f = fopen (inputFile, "rb");
  if (!f)
    {
      printf ("can't open %s\n", inputFile);
      return;
    }

  fread (&m[0], 1, sizeof (m), f);
  fclose (f);

  for (i = 0; i < 4; i++)
    v[i] = 31337;		// :)

  for (i = 0x800; i < 0x1c00; i += 2)
    {
      j = m[i];
      j *= 256;
      j |= m[i + 1];

      v[0] += j;
      v[1] += v[0];
      v[2] += v[1];
      v[3] += v[2];
    }

  printf ("flag" "\x3c");
  for (i = 0; i < 4; i++)
    {
      char digit[4];
      for (j = 0; j < 4; j++)
	{
	  digit[j] = v[i] & 15;
	  v[i] /= 16;
	}
      for (j = 0; j < 4; j++)
	printf ("%X", digit[j]);
    }
  printf ("\x3e" "\n");
}
